com.h3c.dist.groups

## Enum GroupInfo.ElectionType

- java.lang.Object
- - java.lang.Enum<GroupInfo.ElectionType>
  - - com.h3c.dist.groups.GroupInfo.ElectionType

- All Implemented Interfaces:
    Serializable, Comparable<GroupInfo.ElectionType>
  Enclosing class:
    GroupInfo

      public static enum GroupInfo.ElectionType
      extends Enum<GroupInfo.ElectionType>

  ElectionType enum lists possible election types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPARE_GROUPMEMBERS` Election by comparing group members
    `NONE` Election type none

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GroupInfo.ElectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GroupInfo.ElectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final GroupInfo.ElectionType NONE

      Election type none

    - #### COMPARE_GROUPMEMBERS

          public static final GroupInfo.ElectionType COMPARE_GROUPMEMBERS

      Election by comparing group members

  - ### Method Detail

    - #### values

          public static GroupInfo.ElectionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GroupInfo.ElectionType c : GroupInfo.ElectionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GroupInfo.ElectionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.